﻿Public Class MyField
    Public Recid As Integer
    Public RecName As String
    Public RecType As String
    Public fValue As Object

    Sub New(ByVal id As Integer, ByVal nName As String, ByVal nType As String, ByVal nValue As Object)
        Recid = id
        RecName = nName
        RecType = nType
        fValue = nValue
    End Sub

    Public Property RecValue As Object
        Get
            Return fValue
        End Get
        Set(ByVal value As Object)
            fValue = value
        End Set
    End Property
End Class

Public Class MyStringField
    Inherits MyField

    Sub New(ByVal id As Integer, ByVal nName As String, ByVal nValue As Object)
        MyBase.New(id, nName, "String", nValue)
    End Sub

    Public Overloads Property RecValue As String
        Get
            Return fValue
        End Get
        Set(ByVal value As String)
            fValue = value
        End Set
    End Property
End Class

Public Class MyGeometryField
    Inherits MyField

    Sub New(ByVal id As Integer, ByVal nName As String, ByVal nValue As TGeometry)
        MyBase.New(id, nName, "String", nValue)
    End Sub

    Public Overloads Property RecValue As TGeometry
        Get
            Return fValue
        End Get
        Set(ByVal value As TGeometry)
            fValue = value
        End Set
    End Property
End Class